hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: org.apache.hadoop.hbase.ipc.SecureRpcEngine class not found in HBase jar
Date Tue, 04 Mar 2014 19:10:07 GMT
Security tar ball is published with each 0.94 release:
http://supergsego.com/apache/hbase/hbase-0.94.17/

Are you able to utilize that ?


On Tue, Mar 4, 2014 at 10:48 AM, anil gupta <anilgupta84@gmail.com> wrote:

> Thanks for the reply.
>
> Since the HBase security jar is not published in Maven repo. I am running
> into Problem with enhancing the jdbc connection of Phoenix(
> https://issues.apache.org/jira/browse/PHOENIX-19) to support connecting to
> a secure HBase cluster.
> Is there any particular reason due to which we don't publish security jar
> of HBase?
>
> I have been using cdh4.5 and that has hbase security. For phoenix, i don't
> think i can reference Cloudera stuff. If we cannot publish the security jar
> in Maven repo then Phoenix might have to build hbase with the flag that
> Gary mentioned.
>
> Thanks,
> Anil Gupta
>
>
> On Tue, Mar 4, 2014 at 10:40 AM, Gary Helmling <ghelmling@gmail.com>
> wrote:
>
> > For HBase 0.94, you need a version of HBase built with the "security"
> > profile to get SecureRpcEngine and other security classes.  I'm not sure
> > that the published releases on maven central actually include this.
> >
> > However, it's easily to build yourself, just add "-Psecurity" to the mvn
> > command line to get the security profile.
> >
> > For HBase 0.96+ this is no longer necessary, as the security classes are
> > now part of the main build.
> >
> >
> > On Tue, Mar 4, 2014 at 10:02 AM, anil gupta <anilgupta84@gmail.com>
> wrote:
> >
> > > Hi All,
> > >
> > > If i create a maven project with the following maven dependency then
> the
> > > HBase jar doesn't have org.apache.hadoop.hbase.ipc.SecureRpcEngine
> class.
> > >  <dependency>
> > >     <groupId>org.apache.hbase</groupId>
> > >     <artifactId>hbase</artifactId>
> > >     <version>0.94.12</version>
> > > </dependency>
> > >
> > > SecureRPCEngine class is used when the cluster is secured. Is there any
> > > other maven dependency i need to use to get that class?
> > >
> > > --
> > > Thanks & Regards,
> > > Anil Gupta
> > >
> >
>
>
>
> --
> Thanks & Regards,
> Anil Gupta
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message